Scilab Function

gfare - filter Riccati equation

### Calling Sequence

  `[Z,H]=gfare(Sl)`

### Parameters

- `Sl` : linear system (`syslin` list)
- `Z` : symmetric matrix
- `H` : real matrix

### Description

Generalized Filter Algebraic Riccati Equation (GFARE). `Z` = solution, `H` = gain.

The GFARE for `Sl=[A,B,C,D]` is:

    (A-B*D'*Ri*C)*Z+Z*(A-B*D'*Ri*C)'-Z*C'*Ri*C*Z+B*Si*B'=0

where `S=(eye()+D'*D)` , `Si=inv(S)` , `R=(eye()+D*D')` , `Ri=inv(R)` and `H=-(B*D'+Z*C')*Ri` is such that `A+H*C` is stable.

### See Also

`gcare` ,